Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Gentoo auf NSLU2 scheitert
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
sewulba
Guru
Guru


Joined: 09 Feb 2005
Posts: 497
Location: Heidelberg

PostPosted: Fri Jun 18, 2010 10:52 pm    Post subject: Gentoo auf NSLU2 scheitert Reply with quote

Hallo...

Ich möchte auf eine Linksys NSLU2 Gentoo drauf machen. Nun bleibe ich leider am installieren/neubauen vom System hängen.
Code:
(chroot) gentoo-nslu2 etc # emerge -evp system

These are the packages that I would merge, in order:

Calculating system dependencies                      r
emerge: there are no ebuilds to satisfy "dev-lang/python:2.8".


!!! Problem with ebuild sys-apps/baselayout-1.12.13
!!! Possibly a DEPEND/*DEPEND problem.

!!! Depgraph creation failed.
(chroot) gentoo-nslu2 etc # emerge -u linux-headers
Calculating dependencies      ...done!
>>> emerge (1 of 2) app-arch/xz-utils-4.999.9_beta to /
!!! No package digest file found: /usr/portage/app-arch/xz-utils/files/digest-xz-utils-4.999.9_beta
!!! Type "ebuild foo.ebuild digest" to generate it.
(chroot) gentoo-nslu2 etc # ebuild foo.ebuild digest
!!! Name error in foo: missing a version or name part.
!!! Error: PF is null 'foo'; exiting.


Komme leider nicht mehr weiter. Helft mir mal wieder auf die Sprünge!

Gruss Sewulba :wink:
_________________
System1:Apple PowerMac Dual G4 @ 1,83GHz with 2GB Ram. 400GB + 80GB HDD, Gentoo 13.0-ppc32
System2:Apple MacIntosh PowerMac Dual G5 @ 2.7 GHz/1,35GHz FSB... 8GB Ram. 250GB SATA. Gentoo 10.0-PPC64-64ul
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Sat Jun 19, 2010 12:56 am    Post subject: Reply with quote

Eh - was hat denn da python:2.8 als dependency gesetzt? Da ist was kaputt -- das gibt es nämlich noch gar net.

Und das mit dem "foo.ebuild" war gemeint als "hier den Namen des Ebuilds einsetzen, für das du den Digest erzeugen willst". Dass aber keiner dabei ist, macht mir viel mehr Sorgen ... hast du schonmal neu gesynct? (Irgendwie ist da ja was arg kaputt bei dir)
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
sewulba
Guru
Guru


Joined: 09 Feb 2005
Posts: 497
Location: Heidelberg

PostPosted: Sat Jun 19, 2010 11:25 am    Post subject: Reply with quote

Hmmmm... Ich werde heute abend neu syncen... Ist noch nie gelaufen mit Gentoo. Bin immer noch im Chroot-Umgebeung-Teil!
okay. Melde mich dann nochmals. Dauert eine weile! :cry:
_________________
System1:Apple PowerMac Dual G4 @ 1,83GHz with 2GB Ram. 400GB + 80GB HDD, Gentoo 13.0-ppc32
System2:Apple MacIntosh PowerMac Dual G5 @ 2.7 GHz/1,35GHz FSB... 8GB Ram. 250GB SATA. Gentoo 10.0-PPC64-64ul
Back to top
View user's profile Send private message
sewulba
Guru
Guru


Joined: 09 Feb 2005
Posts: 497
Location: Heidelberg

PostPosted: Sat Jun 19, 2010 4:37 pm    Post subject: Reply with quote

Okay... Des wird irgendwie nix. Habe alle Profile ausprobiert. Neu gesynct usw.!
Wenn mal ein Profil schinbar geht, dann bleibt es daran hängen, dass er Python-2.8 will.
Ich weiss wirklich nicht mehr weiter.

Gruss Sewulba :?
_________________
System1:Apple PowerMac Dual G4 @ 1,83GHz with 2GB Ram. 400GB + 80GB HDD, Gentoo 13.0-ppc32
System2:Apple MacIntosh PowerMac Dual G5 @ 2.7 GHz/1,35GHz FSB... 8GB Ram. 250GB SATA. Gentoo 10.0-PPC64-64ul
Back to top
View user's profile Send private message
l3u
Advocate
Advocate


Joined: 26 Jan 2005
Posts: 2328
Location: Konradsreuth (Germany)

PostPosted: Sat Jun 19, 2010 4:39 pm    Post subject: Reply with quote

Also ich hab Gentoo auf einer NSLU2 laufen, heißt: es geht … war aber ein harter Kampf! Und frag mich nicht, wie ich's hinbekommen hab ;-) Aber es geht :-D

Aber app-arch/xz-utils-4.999.9_beta solltest du nicht brauchen … da is was faul.
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Sat Jun 19, 2010 4:41 pm    Post subject: Reply with quote

Zeig doch mal den gesamten Baum:
emerge --tree -pve system
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
Necoro
Veteran
Veteran


Joined: 18 Dec 2005
Posts: 1912
Location: München (Germany)

PostPosted: Sat Jun 19, 2010 4:49 pm    Post subject: Reply with quote

sewulba wrote:
Wenn mal ein Profil schinbar geht, dann bleibt es daran hängen, dass er Python-2.8 will.

Wenn das so bleibt ... hmm .. in einem anderen Thread waren doch schonmal die Metadaten kaputt. Könnte das hier ähnlich sein? Hast du ansonsten irgendwelche Overlays mit drin? Oder selbstgeschriebene Ebuilds?
_________________
Inter Deum Et Diabolum Semper Musica Est.
Back to top
View user's profile Send private message
sewulba
Guru
Guru


Joined: 09 Feb 2005
Posts: 497
Location: Heidelberg

PostPosted: Sun Jun 20, 2010 12:11 am    Post subject: Reply with quote

Necoro wrote:
sewulba wrote:
Wenn mal ein Profil schinbar geht, dann bleibt es daran hängen, dass er Python-2.8 will.

Wenn das so bleibt ... hmm .. in einem anderen Thread waren doch schonmal die Metadaten kaputt. Könnte das hier ähnlich sein? Hast du ansonsten irgendwelche Overlays mit drin? Oder selbstgeschriebene Ebuilds?

nichts dergleichen... Keine Overlays und keine selbst geschriebene Ebuilds.
_________________
System1:Apple PowerMac Dual G4 @ 1,83GHz with 2GB Ram. 400GB + 80GB HDD, Gentoo 13.0-ppc32
System2:Apple MacIntosh PowerMac Dual G5 @ 2.7 GHz/1,35GHz FSB... 8GB Ram. 250GB SATA. Gentoo 10.0-PPC64-64ul
Back to top
View user's profile Send private message
tazinblack
Veteran
Veteran


Joined: 23 Jan 2005
Posts: 1124
Location: Baden / Germany

PostPosted: Wed Jun 23, 2010 1:19 pm    Post subject: Reply with quote

Hallo zusammen,

wäre da jemand von Euch bereit, das Image vom USB Stick bereitzustellen.

Bei mir ist leider immer noch ein SlugOS drauf. An der gentoo-installation bin ich immer gescheitert.
Das war auch immer nicht machbar die toolchain fürs cross-dist-gcc einzurichten.
Sonst wär das echt cool.

Schön das hier auch ein paar NSLU2 Besitzer mit gentoo aktiv sind. Da würde ich auch gerne zu gehören.
Mit dem SlugOS kann ich mich nicht so richtig anfreunden. Und für meine Webcam gibts leider keinen Treiber unter SlugOS :-(
_________________
Gruß / Regards
tazinblack
_______________________________________________________
what's the point in being grown up if you can't be childish sometimes
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum